## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ParameterMarkers

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ParameterMarkers

    public class ParameterMarkers

extends java.lang.Object

A helper class that takes a SQLStatement as input and substitute the parameter markers with value by invoking the ParameterWizard dialog

Constructor Summary
`ParameterMarkers(QueryStatement sqlStatement)`

Method Summary
`boolean` `getContinueExecution()`
`java.util.Vector` `getMarkerValues()`
`java.lang.String` `substituteParameters()` Return the SQL statement with values substituted if there are any markers

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterMarkers

    public ParameterMarkers(QueryStatement sqlStatement)

Method Detail

### getContinueExecution

    public boolean getContinueExecution()

### getMarkerValues

    public java.util.Vector getMarkerValues()

### substituteParameters

    public java.lang.String substituteParameters()

  Return the SQL statement with values substituted if there are any markers